[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: actually do what the comments say, remove stuff older than 2 days
Holger Levsen
holger at moszumanska.debian.org
Sat Nov 28 10:17:50 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit e3debea7d3de38a9c07e2d398669810eb3a9c985
Author: Holger Levsen <holger at layer-acht.org>
Date: Sat Nov 28 11:17:38 2015 +0100
reproducible: actually do what the comments say, remove stuff older than 2 days
---
TODO | 5 +++++
bin/reproducible_maintenance.sh | 14 +++++++-------
2 files changed, 12 insertions(+), 7 deletions(-)
diff --git a/TODO b/TODO
index 33c6b8d..2719c63 100644
--- a/TODO
+++ b/TODO
@@ -26,6 +26,11 @@ See link:https://jenkins.debian.net/userContent/about.html["about jenkins.debian
* run all bash scripts with set -u and set -o pipefail: http://redsymbol.net/articles/unofficial-bash-strict-mode/
* teach bin/chroot-*.sh and bin/d-i_build.sh how to nicely deal with network problems… (as both reproducible_build.sh and schroot-create.sh do)
+=== ToDo for improving disk space
+
+* make live-build jobs work again or remove them
+* make sure the live-build jobs clean up /srv/live-build/results/*iso once they are done. thats 8gb wasted.
+
=== TODO for testing stretch
Most jobs have been converted, a few are left to do:
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 50bef4e..19da931 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -103,11 +103,11 @@ set -e
# delete old temp directories
echo "$(date -u) - Deleting temp directories, older than 2 days."
-OLDSTUFF=$(find $REP_RESULTS -maxdepth 1 -type d -name "tmp.*" -mtime +2 -exec ls -lad {} \; || true)
+OLDSTUFF=$(find $REP_RESULTS -maxdepth 1 -type d -name "tmp.*" -mtime +1 -exec ls -lad {} \; || true)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Old temp directories found in $REP_RESULTS"
- find $REP_RESULTS -maxdepth 1 -type d -name "tmp.*" -mtime +2 -exec rm -rv {} \; || true
+ find $REP_RESULTS -maxdepth 1 -type d -name "tmp.*" -mtime +1 -exec rm -rv {} \; || true
echo "These old directories have been deleted."
echo
DIRTY=true
@@ -115,12 +115,12 @@ fi
# delete old pbuilder build directories
echo "$(date -u) - Deleting pbuilder build directories, older than 2 days."
-OLDSTUFF=$(find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +2 -exec ls -lad {} \; || true)
+OLDSTUFF=$(find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +1 -exec ls -lad {} \; || true)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Old temp directories found in $REP_RESULTS"
echo -n "$OLDSTUFF"
- find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +2 -exec sudo rm -rf --one-file-system {} \; || true
+ find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +1 -exec sudo rm -rf --one-file-system {} \; || true
echo
DIRTY=true
fi
@@ -131,13 +131,13 @@ cleanup_schroot_sessions
# find old schroots
echo "$(date -u) - Removing schroots older than 2 days."
-OLDSTUFF=$(find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +2 -exec ls -lad {} \; || true)
+OLDSTUFF=$(find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +1 -exec ls -lad {} \; || true)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "schroots older than 2 days found in /schroots, which will be deleted:"
- find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +2 -exec sudo rm -rf --one-file-system {} \; || true
+ find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +1 -exec sudo rm -rf --one-file-system {} \; || true
echo "$OLDSTUFF"
- OLDSTUFF=$(find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +2 -exec ls -lad {} \; || true)
+ OLDSTUFF=$(find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +1 -exec ls -lad {} \; || true)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Warning: Tried, but failed to delete these:"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list